### Function

# Camel pstring_strdup

#### Declaration [src]

    const gchar*
    camel_pstring_strdup (
      const gchar* string
    )

#### Description [src]

Create a new pooled string entry for `strings`. A pooled string is a table where common strings are canonicalized. They are also reference counted and freed when no longer referenced.

The `NULL` and empty strings are special cased to constant values.

Unreference the returned string with camel_pstring_free().

#### Parameters

`string`

  Type: `const gchar*`

  String to copy.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

A canonicalized copy of `string`.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.